Menu

## ExtensionMethod
in package

ExtensionMethod.php : 19

Annotation that is used to link a static method to a model entity.

##### Tags

Annotation
Target

  ("METHOD")

Attributes

  ({ @Attribute("as", type="string") })

### Table of Contents

$methodName : string
__construct() : mixed
  ExtensionMethod constructor.
getMethodName() : string
  Returns the method name.

### Properties

#### $methodName

ExtensionMethod.php : 21
`private string $methodName = ""`

### Methods

#### __construct()

ExtensionMethod.php : 28

ExtensionMethod constructor.

`public __construct(array<string|int, mixed> $attributes) : mixed`

##### Parameters

$attributes : array<string|int, mixed>

##### Tags

throws
  ArgumentException

##### Return values

mixed —

#### getMethodName()

ExtensionMethod.php : 45

Returns the method name.

`public getMethodName() : string`

##### Return values

string —

## Search results